com.fasterxml.jackson.databind.exc

## Class MissingInjectableValueExcepion

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - java.io.IOException
      - - com.fasterxml.jackson.core.JacksonException
        - - com.fasterxml.jackson.core.JsonProcessingException
          - - com.fasterxml.jackson.databind.DatabindException
            - - com.fasterxml.jackson.databind.JsonMappingException
              - - com.fasterxml.jackson.databind.exc.MissingInjectableValueExcepion

All Implemented Interfaces:
  Serializable

    public class MissingInjectableValueExcepion
    extends JsonMappingException

Since:
  2.20
See Also:
  Serialized Form

### Nested Class Summary

### Nested classes/interfaces inherited from class com.fasterxml.jackson.databind.JsonMappingException

`JsonMappingException.Reference`

### Field Summary

Fields
`protected Object` `_beanInstance`
`protected BeanProperty` `_forProperty`
`protected Object` `_valueId`

### Fields inherited from class com.fasterxml.jackson.databind.JsonMappingException

`_path, _processor`

### Fields inherited from class com.fasterxml.jackson.core.JsonProcessingException

`_location`

### Constructor Summary

Constructors
`protected` `MissingInjectableValueExcepion(JsonParser p, String msg, Object valueId, BeanProperty forProperty, Object beanInstance)`

### Method Summary

All Methods Static Methods Instance Methods Concrete Methods
`static MissingInjectableValueExcepion` `from(JsonParser p, String msg, Object valueId, BeanProperty forProperty, Object beanInstance)`
`Object` `getBeanInstance()`
`BeanProperty` `getForProperty()`
`Object` `getValueId()`

### Methods inherited from class com.fasterxml.jackson.databind.JsonMappingException

`_appendPathDesc, _appendReferenceChain, _buildMessage, from, from, from, from, from, from, from, from, fromUnexpectedIOE, getLocalizedMessage, getMessage, getPath, getPathReference, getPathReference, getProcessor, prependPath, prependPath, prependPath, toString, withCause, wrapWithPath, wrapWithPath, wrapWithPath`

### Methods inherited from class com.fasterxml.jackson.core.JsonProcessingException

`clearLocation, getLocation, getMessageSuffix, getOriginalMessage`

### Methods inherited from class java.lang.Throwable

`addSuppressed, fillInStackTrace, getCause, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Field Detail

#### _valueId

    protected final Object _valueId

#### _forProperty

    protected final BeanProperty _forProperty

#### _beanInstance

    protected final Object _beanInstance

### Constructor Detail

#### MissingInjectableValueExcepion

    protected MissingInjectableValueExcepion(JsonParser p,
                                             String msg,
                                             Object valueId,
                                             BeanProperty forProperty,
                                             Object beanInstance)

### Method Detail

#### from

    public static MissingInjectableValueExcepion from(JsonParser p,
                                                      String msg,
                                                      Object valueId,
                                                      BeanProperty forProperty,
                                                      Object beanInstance)

#### getValueId

    public Object getValueId()

#### getForProperty

    public BeanProperty getForProperty()

#### getBeanInstance

    public Object getBeanInstance()